:root {
  --gray:#C4C4C4;
  --gray2:#E5E5E5;
  --red:#EB5757;
  --blue:#185BC3;
  --red2:#D83841;
  --blue2:#00AEEF;
}

@font-face {
  font-family: 'DB';
  src: local('DBHelvethaicaMonX'), url('../assets/font/DBHelvethaicaMonX.ttf') format('truetype');
}


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html,
body {
  max-width: 100vw;
  overflow-x: hidden;
  background-color: white;
}
a {
  color: inherit;
  text-decoration: none;
}
html,
body,a ,input{
  font-family: 'DB';
}


.displayFlexRow {
  display: flex;
  flex-direction: row;
}
.displayFlexRowAlignCenter {
  display: flex;
  flex-direction: row;
  align-items: center;
}
.displayFlexRowBetween {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}
.displayFlexColAlignCenter {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.displayFlexCol {
  display: flex;
  flex-direction: column;
}
.displayFlexColCenter {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.mainPaddingHorizontal{
  padding: 5px 10vw;
}
.customSearch{
  max-width: 604px;
  height: 45px;
  background-color: var(--gray2);
  font-size: 35px;
  border-radius: 10px;
  border-width: 0px;
  padding-left: 55px;
  width: 30vw;
  min-width: 300px;
}
.customSearch:focus{
  background-color: white;
}
.leftbutton{
  cursor: pointer;
  transition: 0.2s;
  font-size: 30px;
  padding: 2px 25px;
  width: 50%;
  background-color: var(--gray);
  margin-bottom: 5px;
  text-align: center;
}
.button{
  cursor: pointer;
  transition: 0.2s;
  font-size: 35px;
  padding: 2px 25px;
  border-radius: 10px;
}
.button:hover,.leftbutton:hover{
  transition: 0.2s;
  background-color: rgba(0, 0, 0, 0.1);
}
.button:active,.movieTypeButton:active,.leftbutton:active{
  opacity: 0.5;
  transition: 0.2s;
}
.SlideBox{
  border:5px solid black;
  border-radius: 10px;
  height: 530px;
}
.movieTypeButton{
  position: relative;
  width: 32%;
  height: 210px;
  border-radius: 10px;
  cursor: pointer;
}
.movieTypeButton div{
  position: absolute;
  z-index: 2;
  font-size: 80px;
  color: white;
}
.movieTypeButton img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: 1;
  border-radius: 10px;
}
.movieTypeButton:hover{
  opacity: 0.8;
  transition: 0.2s;
}


.movieButton{
  position: relative;
  width: 24%;
  height: 493px;
  border-radius: 10px;
  cursor: pointer;
}
.movieButton #box {
  position: absolute;
  z-index: 2;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 30%;
  display: flex;
  flex-direction: column;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}
.movieButton #box #text{
  font-size: 30px;
  color: white;
  text-align: center;
  margin-top: auto;
}
.movieButton #bg{
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: 1;
  border-radius: 10px;
}
.movieButton:hover{
  opacity: 0.8;
  transition: 0.2s;
}
.buttonNavigatePage,.numberbuttonNavigatePage,.currentNumberbuttonNavigatePage{
  padding: 10px 10px;
  border-radius: 5px;
  cursor: pointer;
  text-align: center;
  font-size: 18px;
  min-width: 40px;

}
.buttonNavigatePage{
  border: 1px solid black;
  background-color: black;
  color: white;
}

.numberbuttonNavigatePage{
  border: 1px solid var(--gray);
  background-color: white;
  color: var(--gray);
}

.currentNumberbuttonNavigatePage{
  border: 1px solid var(--blue);
  background-color:var(--blue);
  color: white;
}